WordPress.org

Forums

[resolved] Error before install! 3.2RC2 (7 posts)

  1. zeldain
    Member
    Posted 3 years ago #

    Since 3.2 is at RC2 status I figured I would give it a dry run, but already ran into a brick wall!

    When unzipping a fresh download of 3.2RC2 and hitting the install, I get this:

    Parse error: syntax error, unexpected T_VARIABLE in /FULLSERVERPATHHERE/wordpress/wp-includes/functions.php on line 522

    I put this in a directory I use as a WP sandbox, so I constantly throw clean installs in there, then delete them, then throw them in again.

    Didn't work with 3.2 as soon as I hit the install.php page I got that.

    Any ideas here?

  2. What PHP version are you running?

  3. Andrew Nacin
    Lead Developer
    Posted 3 years ago #

    Line 522 uses PHP5-specific syntax. Looks like your server isn't running PHP5. For some reason we're not picking up on that and giving you an error.

    Can you confirm what PHP version you're running? Can you also confirm the value of phpversion()?

  4. zeldain
    Member
    Posted 3 years ago #

    You guys were both correct... I had made an assumption on the host that I've had for quite some time (Media Temple) at least had PHP5 as an option, but no such luck without physically moving servers.

    Sorry to have bothered the forum :(

  5. Andrew Nacin
    Lead Developer
    Posted 3 years ago #

    zeldain: That's fine, but we should have errored out with an explanation.

    Media Temple does have PHP5 as an option. It should just be a toggle somewhere. If not, let me know so we can contact them.

  6. zeldain
    Member
    Posted 3 years ago #

    I think I'm on one of their older grid service clusters which is stuck on PHP4... probably quite a few customers in that situation.

    Thanks again for the response!

  7. Zane Matthew
    Member
    Posted 3 years ago #

    I've been on the (gs) for years until I out grew it and moved onto the (ve) (not for the faint of heart). You can toggle which version of php you want to use in your server admin panel, but really all they're doing is adding a line to your .htaccess file, which if you save out permalinks will get rewritten.

    Here's the line:
    AddHandler php5-script .php

    http://kb.mediatemple.net/questions/1701/Why+does+my+site+revert+back+to+PHP+4%3F+

    I mean it is a grid service (shared host) : \

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags